Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler
Class GrailsCompiler

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.Groovyc
                      org.codehaus.groovy.grails.compiler.GrailsCompiler

All Implemented Interfaces:
  groovy.lang.GroovyObject, Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class GrailsCompiler

extends org.codehaus.groovy.ant.Groovyc
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.codehaus.groovy.ant.Groovyc
`compileList, configuration, failOnError, listFiles`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GrailsCompiler()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `compile()`
`groovy.lang.MetaClass` | `getMetaClass()`
`String` | `getProjectName()`
`Object` | `getProperty(String property)`
`Object` | `getResolver()`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `scanDir(File srcDir, File destDir, String[] files)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProjectName(String value)`
`void` | `setProperty(String property, Object value)`
`void` | `setResolver(Object value)`

Methods inherited from class org.codehaus.groovy.ant.Groovyc
`addConfiguredJavac, addToCompileList, buildClassLoaderFor, checkParameters, createClasspath, createSourcepath, createSrc, execute, getClasspath, getDestdir, getEncoding, getFailonerror, getFileList, getIncludeantruntime, getIncludejavaruntime, getListfiles, getMemoryInitialSize, getMemoryMaximumSize, getSourcepath, getSrcdir, getStubdir, getTaskSuccess, getVerbose, isIncludeDestClasses, makeCompileUnit, recreateSrc, resetFileLists, setClasspath, setClasspathRef, setDestdir, setEncoding, setErrorProperty, setFailonerror, setFork, setIncludeantruntime, setIncludeDestClasses, setIncludejavaruntime, setJavaHome, setListfiles, setMemoryInitialSize, setMemoryMaximumSize, setProceed, setSourcepath, setSourcepathRef, setSrcdir, setStacktrace, setStubdir, setUpdatedProperty, setVerbose`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsCompiler

    public GrailsCompiler()

Method Detail

### getProjectName

    public String getProjectName()

### setProjectName

    public void setProjectName(String value)

### getResolver

    public Object getResolver()

### setResolver

    public void setResolver(Object value)

### scanDir

    public void scanDir(File srcDir,
                        File destDir,
                        String[] files)

  Overrides:
    `scanDir` in class `org.codehaus.groovy.ant.Groovyc`

### compile

    public void compile()

  Overrides:
    `compile` in class `org.codehaus.groovy.ant.Groovyc`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project